All of lore.kernel.org
 help / color / mirror / Atom feed
From: Andrew Jones <andrew.jones@linux.dev>
To: kvm-riscv@lists.infradead.org
Subject: [kvm-unit-tests RFC PATCH 06/17] shellcheck: Fix SC2155
Date: Fri, 5 Apr 2024 16:20:26 +0200	[thread overview]
Message-ID: <20240405-9b6c9e0e72927362899cb815@orel> (raw)
In-Reply-To: <20240405090052.375599-7-npiggin@gmail.com>

On Fri, Apr 05, 2024 at 07:00:38PM +1000, Nicholas Piggin wrote:
>   SC2155 (warning): Declare and assign separately to avoid masking
>   return values.
> 
> No bug identified.
> 
> Signed-off-by: Nicholas Piggin <npiggin@gmail.com>
> ---
>  scripts/arch-run.bash | 10 +++++++---
>  scripts/runtime.bash  |  4 +++-
>  2 files changed, 10 insertions(+), 4 deletions(-)
> 
> diff --git a/scripts/arch-run.bash b/scripts/arch-run.bash
> index f9d1fade9..ae4b06679 100644
> --- a/scripts/arch-run.bash
> +++ b/scripts/arch-run.bash
> @@ -411,7 +411,8 @@ initrd_cleanup ()
>  {
>  	rm -f $KVM_UNIT_TESTS_ENV
>  	if [ "$KVM_UNIT_TESTS_ENV_OLD" ]; then
> -		export KVM_UNIT_TESTS_ENV="$KVM_UNIT_TESTS_ENV_OLD"
> +		export KVM_UNIT_TESTS_ENV
> +		KVM_UNIT_TESTS_ENV="$KVM_UNIT_TESTS_ENV_OLD"
>  	else
>  		unset KVM_UNIT_TESTS_ENV
>  	fi
> @@ -423,7 +424,8 @@ initrd_create ()
>  	if [ "$ENVIRON_DEFAULT" = "yes" ]; then
>  		trap_exit_push 'initrd_cleanup'
>  		[ -f "$KVM_UNIT_TESTS_ENV" ] && export KVM_UNIT_TESTS_ENV_OLD="$KVM_UNIT_TESTS_ENV"
> -		export KVM_UNIT_TESTS_ENV=$(mktemp)
> +		export KVM_UNIT_TESTS_ENV
> +		KVM_UNIT_TESTS_ENV=$(mktemp)
>  		env_params
>  		env_file
>  		env_errata || return $?
> @@ -566,7 +568,9 @@ env_generate_errata ()
>  
>  trap_exit_push ()
>  {
> -	local old_exit=$(trap -p EXIT | sed "s/^[^']*'//;s/'[^']*$//")
> +	local old_exit
> +
> +	old_exit=$(trap -p EXIT | sed "s/^[^']*'//;s/'[^']*$//")
>  	trap -- "$1; $old_exit" EXIT
>  }
>  
> diff --git a/scripts/runtime.bash b/scripts/runtime.bash
> index f79c4e281..3b76aec9e 100644
> --- a/scripts/runtime.bash
> +++ b/scripts/runtime.bash
> @@ -15,7 +15,9 @@ extract_summary()
>  # We assume that QEMU is going to work if it tried to load the kernel
>  premature_failure()
>  {
> -    local log="$(eval "$(get_cmdline _NO_FILE_4Uhere_)" 2>&1)"
> +    local log
> +
> +    log="$(eval "$(get_cmdline _NO_FILE_4Uhere_)" 2>&1)"
>  
>      echo "$log" | grep "_NO_FILE_4Uhere_" |
>          grep -q -e "[Cc]ould not \(load\|open\) kernel" \
> -- 
> 2.43.0
>

Reviewed-by: Andrew Jones <andrew.jones@linux.dev>


WARNING: multiple messages have this Message-ID (diff)
From: Andrew Jones <andrew.jones@linux.dev>
To: Nicholas Piggin <npiggin@gmail.com>
Cc: "Paolo Bonzini" <pbonzini@redhat.com>,
	"Thomas Huth" <thuth@redhat.com>,
	"Alexandru Elisei" <alexandru.elisei@arm.com>,
	"Eric Auger" <eric.auger@redhat.com>,
	"Janosch Frank" <frankja@linux.ibm.com>,
	"Claudio Imbrenda" <imbrenda@linux.ibm.com>,
	"Nico Böhr" <nrb@linux.ibm.com>,
	"David Hildenbrand" <david@redhat.com>,
	"Shaoqin Huang" <shahuang@redhat.com>,
	"Nikos Nikoleris" <nikos.nikoleris@arm.com>,
	"Nadav Amit" <namit@vmware.com>,
	"David Woodhouse" <dwmw@amazon.co.uk>,
	"Ricardo Koller" <ricarkol@google.com>,
	rminmin <renmm6@chinaunicom.cn>, "Gavin Shan" <gshan@redhat.com>,
	"Nina Schoetterl-Glausch" <nsg@linux.ibm.com>,
	"Sean Christopherson" <seanjc@google.com>,
	kvm@vger.kernel.org, kvmarm@lists.linux.dev,
	kvm-riscv@lists.infradead.org, linux-s390@vger.kernel.org
Subject: Re: [kvm-unit-tests RFC PATCH 06/17] shellcheck: Fix SC2155
Date: Fri, 5 Apr 2024 16:20:26 +0200	[thread overview]
Message-ID: <20240405-9b6c9e0e72927362899cb815@orel> (raw)
In-Reply-To: <20240405090052.375599-7-npiggin@gmail.com>

On Fri, Apr 05, 2024 at 07:00:38PM +1000, Nicholas Piggin wrote:
>   SC2155 (warning): Declare and assign separately to avoid masking
>   return values.
> 
> No bug identified.
> 
> Signed-off-by: Nicholas Piggin <npiggin@gmail.com>
> ---
>  scripts/arch-run.bash | 10 +++++++---
>  scripts/runtime.bash  |  4 +++-
>  2 files changed, 10 insertions(+), 4 deletions(-)
> 
> diff --git a/scripts/arch-run.bash b/scripts/arch-run.bash
> index f9d1fade9..ae4b06679 100644
> --- a/scripts/arch-run.bash
> +++ b/scripts/arch-run.bash
> @@ -411,7 +411,8 @@ initrd_cleanup ()
>  {
>  	rm -f $KVM_UNIT_TESTS_ENV
>  	if [ "$KVM_UNIT_TESTS_ENV_OLD" ]; then
> -		export KVM_UNIT_TESTS_ENV="$KVM_UNIT_TESTS_ENV_OLD"
> +		export KVM_UNIT_TESTS_ENV
> +		KVM_UNIT_TESTS_ENV="$KVM_UNIT_TESTS_ENV_OLD"
>  	else
>  		unset KVM_UNIT_TESTS_ENV
>  	fi
> @@ -423,7 +424,8 @@ initrd_create ()
>  	if [ "$ENVIRON_DEFAULT" = "yes" ]; then
>  		trap_exit_push 'initrd_cleanup'
>  		[ -f "$KVM_UNIT_TESTS_ENV" ] && export KVM_UNIT_TESTS_ENV_OLD="$KVM_UNIT_TESTS_ENV"
> -		export KVM_UNIT_TESTS_ENV=$(mktemp)
> +		export KVM_UNIT_TESTS_ENV
> +		KVM_UNIT_TESTS_ENV=$(mktemp)
>  		env_params
>  		env_file
>  		env_errata || return $?
> @@ -566,7 +568,9 @@ env_generate_errata ()
>  
>  trap_exit_push ()
>  {
> -	local old_exit=$(trap -p EXIT | sed "s/^[^']*'//;s/'[^']*$//")
> +	local old_exit
> +
> +	old_exit=$(trap -p EXIT | sed "s/^[^']*'//;s/'[^']*$//")
>  	trap -- "$1; $old_exit" EXIT
>  }
>  
> diff --git a/scripts/runtime.bash b/scripts/runtime.bash
> index f79c4e281..3b76aec9e 100644
> --- a/scripts/runtime.bash
> +++ b/scripts/runtime.bash
> @@ -15,7 +15,9 @@ extract_summary()
>  # We assume that QEMU is going to work if it tried to load the kernel
>  premature_failure()
>  {
> -    local log="$(eval "$(get_cmdline _NO_FILE_4Uhere_)" 2>&1)"
> +    local log
> +
> +    log="$(eval "$(get_cmdline _NO_FILE_4Uhere_)" 2>&1)"
>  
>      echo "$log" | grep "_NO_FILE_4Uhere_" |
>          grep -q -e "[Cc]ould not \(load\|open\) kernel" \
> -- 
> 2.43.0
>

Reviewed-by: Andrew Jones <andrew.jones@linux.dev>

  reply	other threads:[~2024-04-05 14:20 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-05  9:00 [kvm-unit-tests RFC PATCH 00/17] add shellcheck support Nicholas Piggin
2024-04-05  9:00 ` Nicholas Piggin
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 01/17] Add initial shellcheck checking Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:12   ` Andrew Jones
2024-04-05 14:12     ` Andrew Jones
2024-04-06  6:39     ` Nicholas Piggin
2024-04-06  6:39       ` Nicholas Piggin
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 02/17] shellcheck: Fix SC2223 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:14   ` Andrew Jones
2024-04-05 14:14     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 03/17] shellcheck: Fix SC2295 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:15   ` Andrew Jones
2024-04-05 14:15     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 04/17] shellcheck: Fix SC2094 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:17   ` Andrew Jones
2024-04-05 14:17     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 05/17] shellcheck: Fix SC2006 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:17   ` Andrew Jones
2024-04-05 14:17     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 06/17] shellcheck: Fix SC2155 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:20   ` Andrew Jones [this message]
2024-04-05 14:20     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 07/17] shellcheck: Fix SC2235 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:24   ` Andrew Jones
2024-04-05 14:24     ` Andrew Jones
2024-04-06  6:41     ` Nicholas Piggin
2024-04-06  6:41       ` Nicholas Piggin
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 08/17] shellcheck: Fix SC2119, SC2120 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:28   ` Andrew Jones
2024-04-05 14:28     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 09/17] shellcheck: Fix SC2143 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:29   ` Andrew Jones
2024-04-05 14:29     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 10/17] shellcheck: Fix SC2013 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:31   ` Andrew Jones
2024-04-05 14:31     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 11/17] shellcheck: Fix SC2145 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:35   ` Andrew Jones
2024-04-05 14:35     ` Andrew Jones
2024-04-06  6:47     ` Nicholas Piggin
2024-04-06  6:47       ` Nicholas Piggin
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 12/17] shellcheck: Fix SC2124 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:37   ` Andrew Jones
2024-04-05 14:37     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 13/17] shellcheck: Fix SC2294 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:38   ` Andrew Jones
2024-04-05 14:38     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 14/17] shellcheck: Fix SC2178 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:40   ` Andrew Jones
2024-04-05 14:40     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 15/17] shellcheck: Fix SC2048 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:40   ` Andrew Jones
2024-04-05 14:40     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 16/17] shellcheck: Fix SC2153 Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:42   ` Andrew Jones
2024-04-05 14:42     ` Andrew Jones
2024-04-05  9:00 ` [kvm-unit-tests RFC PATCH 17/17] shellcheck: Suppress various messages Nicholas Piggin
2024-04-05  9:00   ` Nicholas Piggin
2024-04-05 14:55   ` Andrew Jones
2024-04-05 14:55     ` Andrew Jones
2024-04-06  6:31     ` Nicholas Piggin
2024-04-06  6:31       ` Nicholas Piggin
2024-04-06  7:30       ` Andrew Jones
2024-04-06  7:30         ` Andrew Jones
2024-04-06 10:56     ` Nicholas Piggin
2024-04-06 10:56       ` Nicholas Piggin
2024-04-05 13:59 ` [kvm-unit-tests RFC PATCH 00/17] add shellcheck support Andrew Jones
2024-04-05 13:59   ` Andrew Jones
2024-04-06  6:34   ` Nicholas Piggin
2024-04-06  6:34     ` Nicholas Piggin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240405-9b6c9e0e72927362899cb815@orel \
    --to=andrew.jones@linux.dev \
    --cc=kvm-riscv@lists.infradead.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.